I'm trying to split a single solid body into 2 solid bodies. The problem is that the body I'm trying to split consists of two separate pieces. I can split a body when it is a single piece no problem, but I'm having the problem when the two pieces are not joined at all.
When I try and split it on the origin plane it gives this error:
"Creating parting line failed. Could not build this Split"
When I try and split it on a work plane lying on one of the pieces it gives this error:
"Creating parting line failed. Modeling failure in ASM. Redefine inputs."
Or, another variation on this erorr:
"Creating parting line failed. Split feature could not create two bodies. Change the Split Tool so that split feature can create two bodies."
I have a model with solid bodies. I have used the combine feature to make cuts outs in some plates. The geometry is complex to model so Extrude cannot be used for cuts.
The body used for the combine can be at different angles and sizes. Due to this some of the combine features will not be needed or have no effect. This leads to the error message:
" The feature as specified did not change the number of faces (and may not have affected the part). Accept the feature that resulted, or use Edit Sketch or Edit Feature to change the feature definition." Is there anyway to suppress this feature automatically using i Logic?
I have an assembly file for a fan casing. We reuse this model and scale it up and doen depending on the size of fan.
For transportation we split the caing into several parts and join using flanges. The number and angle of splits changes depending on the job and geometry.
To model this we share a sketch through the parts and use the split solid command to split them.
I would like to able to create sub assemblies from the main assembly so that drawings and masses can be obtained for the sub assemblies. However, the 'Demote' command does not allow you pick individual solids from a multi solid part.
I have tried creating new parts from the split solids but these are not in the correct location as they are not constrained correctly.
Is there a way to use the Demote command as I am proposing? or is there a different method to split my parts?
Is it possible, via VB, to modify solidbodies color ?
Actually, I need to modify part color. But in some cases, the part color and the solidbody color are not the same. So I need to modify the Solidbody color, to match the part color.
I found the bodies in ComponentDefinition.SurfaceBodies, but I can't find something like ComponentDefinition.SurfaceBodies.Item(1).color.
Open the attached file 207665-124.ipt. how their is only one Solid Body, but the iam needs to be updated because the user added one more part to the assembly. As soon as it updates now instead of one Solid Body I have 2. I don't want 2 and this is not typical. Even if I derive the 207665-120 into a brand new part file, it is only one body. What is causing this to seperate into 2 bodies? I tried to re-create this from scratch and can't, but he has several files like this that need updates and the 2 bodies causes problems with the holes.
Is there a way to get that long tube and that rectangular part all around that middle circle.
[URL]........
Open this picture. In the end it would end up looking something like that lamp shade. I got one part down so is there a way to get a bunch of those around instead of redrawing it?
I have a pressure vessel which I am trying to analyse. Whenever I convert the solid into 'thin bodies', it loses some of the data. For example, a fillet and a supporting ring (refer to pic attached). I haven't been able to find any 'shell element' settings to adjust.
Also, I need to manually add contacts otherwise the vessel seperates into multiple bodies.
Even though the solid model is in contact, the 'midsurface' shell seperates it. Refer to part file attached.
I briefly tried to run the analysis as a solid model, but gave up as it was taking forever just to mesh.
Any way to suppress entire bodies in a multiple solid body part, using iPart, without having to suppress each individual feature for it. I am on Inventor 2013.
I'm creating a template part to line the inside of a wall with wall boards. All the boards are drawn as an array of seperate solid bodies which are to be made into components once the windows and appertures have been extruded out.
The problem is when the wall changes to a shorter length and then back again. the solids are re-created and the extrusion e.g. Window1 does not have the new solids in it's effected solids list, so I get an error.
Is there a way to set the extrusions "effected solids" (Not sure if that's the correct term) to all the solids all the time through iLogic or the API?
I have a Hole that cuts through 2 solid bodies, a gasket and a cover plate. I want to pattern the hole in BOTH solids at the same time, but the pattern feature dialog box will only let me select one solid at a time. I could pattern the hole in one solid before projecting to the other, but the quantity of the holes can change. When the quantity of the holes changes only the holes from the initial pattern are projected. For instance if I have 10 hole initially and it increases to 12 the 2 new holes do not project to the second solid body.
I'm trying to do a stress analysis on assembly with a mixture of thin bodies and solid bodies. The problem is that when I create the automatic contacts they are created as either all thin body or all solid body contacts. This of course causes the analysis to fail. It appears that there is no way to make a thin body contact become a solid body contact or vice versa.
I tried to run the entire thing as solid bodies but the I had to stop the analysis after 18 hours of continuous processing. (and a memory upgrade)
So i draw a body (or assembly) and i would like to invert what i draw ( tubing for fluid flow) to be hollow and make the hollow part solid, is there any way that i could do that?
I'm currently using the "Make components" feature to convert solid bodies into parts. This works great, but we use this method to construct angular roof structures, and after the parts have been made the parts have angular relationships to the .ipt files UCS co-ordinates. It would be very useful if I could align the longest edge of the part (Which is a timber truss) with the x axis in the model space and "lay" the plank flat on the X-Y plane.
Lets say you have 100 Keps Nuts in an assembly. Named (KepsNut1,KepsNut2, etc)And you want to suppress them on and off.
Would there be a way to make an array 1-100 and just say suppress/unsupress "KepsNut" & array list of numbers.To basically add the two strings and find all the components in that array and turn them off or on.!
I am trying to suppress part that are labeled as "Reference" on the BOM Strutcture and I can't get the program to cycle through the subassemblies. The following code runs through all the components on the top-level assembly but I can't get it to cycle through the subassemblies.
oCompDef = ThisDoc.Document.ComponentDefinitionoAssemblyComponents = oCompDef.OccurrencesDim oOccurrence As ComponentOccurrenceDim oSubOccurrence1 As ComponentOccurrenceFor Each oOccurrence In oAssemblyComponents If (oOccurrence.BOMStructure = BOMStructureEnum.kReferenceBOMStructure) Then Component.IsActive(oOccurrence.Name) = False Else Component.IsActive(oOccurrence.Name) = True End IfNext
I have a couple of dozen features in my part, of which only one will be active at any time. The feature tree may be subject to additions, so I am looking for an ilogic rule that will first suppress all of the features in the part, and then switch on the specific feature I require (using a parameter). Any code to suppress ALL features?
Is it possible to suppress an occurrence of a pattern in part environment using iLogic? I saw something for assembly environment, but I can't make it work for part. My iLogic knowledge is quite basic.
I'm trying to use ilogic to suppress some individual elements of a pattern but i couldn't find any command that can target component pattern elements. When i try to capture its current state with the right click menu it does nothing.
I can of course suppress the part within the element but then it doesn't update the BOM.
I have set iLogic to change a rectangular pattern to a certain amount of occurrences depending on which is selected , i.e. 117 cavities, 140 cavities and 96 cavities. Only one is active (or unsuppressed ) at a time.
What I need to do is suppress the 4 corners of each pattern, considering there's only one pattern and is dynamic.
I found a VBA-code on internet which turn off all work features (plane, axis, points) in all documents in an assembly.
I want to modify it so it turns of all surface bodies instead. I use skeleton modelling where i only want to keep the solids visible and not the surfaces. When I run this iLogic rule all solids get turned off instead of surface bodies.
This code works (when edited) for axis, points, planes, allworkfeatures etc.
'catch and skip errorsOn Error Resume Next'define the active assemblyDim oAssyDoc As AssemblyDocumentoAssyDoc = ThisApplication.ActiveDocument 'get user input as True or FalsewfBoolean = InputRadioBox("Turn all Work Features On/Off", "On", "Off", False, "iLogic")'Check all referenced docs Dim oDoc As Inventor.DocumentFor Each oDoc In oAssyDoc.AllReferencedDocuments 'set surface bodies visibility For Each oSurfaceBodies In oDoc.ComponentDefinition.SurfaceBodies oSurfaceBodies.Visible = wfBoolean Next Next'update the filesInventorVb.DocumentUpdate()
I have created a part with multi bodies (concrete block with reo bar), in the drawing I want a view that shows just the reo bar - concrete hidden. Can this be done?